%% Add variable reference position end to the tracking parameter panel
if artoa.data.hasMember(artoaWorkspace, 'trackParameter', 'soundsourceCombinations') ...
        & ~any(strcmp(artoaWorkspace.trackParameter.soundsourceCombinations.Properties.VariableNames, 'referencePositionEnd'))

    artoaWorkspace.trackParameter.soundsourceCombinations = ...
        addvars( ...
            artoaWorkspace.trackParameter.soundsourceCombinations, ...
            addReferencePositionEnd4274(length(artoaWorkspace.trackParameter.soundsourceCombinations.combinationBegin)), ...
            'After', 4 ...
            );
	artoaWorkspace.trackParameter.soundsourceCombinations.Properties.VariableNames{5} = 'referencePositionEnd';
end

%% Helper functions

function emptyCell = addReferencePositionEnd4274(pLength)
    emptyCell = repmat({''}, pLength, 1);
end